플랜 분석
몬테카를로
필요한 권한: plans:read
GET
/
v1
/
plans
/
{id}
/
monte-carlo
몬테카를로
curl --request GET \
--url https://api.morrowly.app/v1/plans/{id}/monte-carlo \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.morrowly.app/v1/plans/{id}/monte-carlo"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.morrowly.app/v1/plans/{id}/monte-carlo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"bands": [
{
"age": 123,
"p1": 123,
"p10": 123,
"p25": 123,
"p50": 123,
"p75": 123,
"p90": 123
}
],
"fiAge": {
"p10": 123,
"p50": 123,
"p90": 123,
"runs": 123
},
"fiReached": [
123
],
"finalNetWorth": {
"max": 123,
"mean": 123,
"median": 123,
"min": 123,
"sd": 123
},
"histograms": [
{
"age": 123,
"counts": [
123
],
"from": 123,
"short": 123,
"width": 123
}
],
"liquidBands": [
{
"age": 123,
"p1": 123,
"p10": 123,
"p25": 123,
"p50": 123,
"p75": 123,
"p90": 123
}
],
"liquidHistograms": [
{
"age": 123,
"counts": [
123
],
"from": 123,
"short": 123,
"width": 123
}
],
"outcomes": {
"almost": 123,
"closeCall": 123,
"comfortable": 123,
"largeSurplus": 123,
"shortfall": 123
},
"retirementAge": 123,
"retirementNetWorth": {
"max": 123,
"mean": 123,
"median": 123,
"min": 123,
"sd": 123
},
"runs": 123,
"shortfallAge": {
"p10": 123,
"p50": 123,
"p90": 123,
"runs": 123
},
"shortfallReached": [
123
],
"spendingAfter": {
"max": 123,
"mean": 123,
"median": 123,
"min": 123,
"sd": 123
},
"spendingBefore": {
"max": 123,
"mean": 123,
"median": 123,
"min": 123,
"sd": 123
},
"successRate": 123,
"trials": [
{
"endNetWorth": 123,
"outcome": "LARGE_SURPLUS",
"retirementNetWorth": 123,
"shortfallAge": 123
}
]
},
"error": {
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
},
"result": "SUCCESS"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I
몬테카를로
